DROP TABLE CRST_RA_CUST_RECEIPT_METHODS;

CREATE TABLE CRST_RA_CUST_RECEIPT_METHODS
(
  CUST_RECEIPT_METHOD_ID  NUMBER(15)            NOT NULL,
  CUSTOMER_ID             NUMBER(15)            NOT NULL,
  RECEIPT_METHOD_ID       NUMBER(15)            NOT NULL,
  PRIMARY_FLAG            VARCHAR2(1 BYTE)      NOT NULL,
  LAST_UPDATE_DATE        DATE                  NOT NULL,
  LAST_UPDATED_BY         NUMBER(15)            NOT NULL,
  CREATION_DATE           DATE                  NOT NULL,
  CREATED_BY              NUMBER(15)            NOT NULL,
  LAST_UPDATE_LOGIN       NUMBER(15),
  REQUEST_ID              NUMBER(15),
  PROGRAM_APPLICATION_ID  NUMBER(15),
  PROGRAM_ID              NUMBER(15),
  PROGRAM_UPDATE_DATE     DATE,
  SITE_USE_ID             NUMBER(15),
  START_DATE              DATE                  NOT NULL,
  END_DATE                DATE,
  ATTRIBUTE_CATEGORY      VARCHAR2(30 BYTE),
  ATTRIBUTE1              VARCHAR2(150 BYTE),
  ATTRIBUTE2              VARCHAR2(150 BYTE),
  ATTRIBUTE3              VARCHAR2(150 BYTE),
  ATTRIBUTE4              VARCHAR2(150 BYTE),
  ATTRIBUTE5              VARCHAR2(150 BYTE),
  ATTRIBUTE6              VARCHAR2(150 BYTE),
  ATTRIBUTE7              VARCHAR2(150 BYTE),
  ATTRIBUTE8              VARCHAR2(150 BYTE),
  ATTRIBUTE9              VARCHAR2(150 BYTE),
  ATTRIBUTE10             VARCHAR2(150 BYTE),
  ATTRIBUTE11             VARCHAR2(150 BYTE),
  ATTRIBUTE12             VARCHAR2(150 BYTE),
  ATTRIBUTE13             VARCHAR2(150 BYTE),
  ATTRIBUTE14             VARCHAR2(150 BYTE),
  ATTRIBUTE15             VARCHAR2(150 BYTE),
  CUST_RECEIPT_METHOD_ID_N  NUMBER(15)
);
